Subject: Pine 3.95 core dumping right and left.

From: "Randall S. Winchester" <[email-masked]>
Date: Tue, 15 Oct 1996 16:21:54 -0400

Note: Please relpy to me directly also so I do not have to read this intier
list for several days. (sorry too much mail).

I have 10 ultra-sparcs that are used for remote dialin services. There are
upwards of 900 people logged in to these machines during the day.  They seem
to have a propensity for logging off by shuting down their serial
connection. When this happens while in pine it dumps core, usually somewhere
in ttyin.c. I saw a couple select() errors and lots of pine-debug? files
with this:
....
    ---- MAIN_MENU_SCREEN ----
about to end_tty_driver
Pine Panic: Select error: Invalid argument

So after removing 15 gigs of core files (40,000 users) it seemed prudent
to turn off deliberate core dumping in pine to try and maintain some free
disk space....

I tried to compile without -DDEBUG as that is what your coredump() routine
is wrapped in, but pine would then not run when started as "xterm -e pine".
The errors flash by too quick to see before the xterm vanishes.

Anyhow I changed #ifdef DEBUG to #ifdef DEBUG_CORE around that call to the
coredump routine with out any problems.

Does "The Team" have any feel on where the "#ifdef DEBUG" is blowing up?
Or if there are known problems in ttyin.c?

Thanks,
Randall